﻿using System.ComponentModel;

namespace DragGrid
{
    public class Department : INotifyPropertyChanged
    {
        private int id;
        private string name;        

        public int ID
        {
            get
            {
                return this.id;
            }
            set
            {
                this.id = value;
                NotifyPropertyChanged("ID");
            }
        }

        public string Name
        {
            get
            {
                return this.name;
            }
            set
            {
                this.name = value;
                NotifyPropertyChanged("Name");
            }
        }

        public Department()
            : this(int.MinValue, string.Empty)
        {
        }

        public Department(int id, string name)
        {
            this.id = id;
            this.name = name;            
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        #endregion
    }
}

